local G13BarManager, ns = ...

--We create a HiddenFrame here to hold the WatchBars
local frame = CreateFrame("Frame", "G13HiddenFrame", UIParent)
frame:SetSize(0, 0)
frame:Hide()

--Simply hides a list of objects.
local function HideElements(ElementList)
	for _, v in pairs(ElementList) do
		v:Hide()
	end
end

--The list of Main Menu items that we want to hide
local ArtList = {
	MainMenuBarLeftEndCap,
    MainMenuBarRightEndCap,
    MainMenuBarTexture0,
    MainMenuBarTexture1,
    MainMenuBarTexture2,
    MainMenuBarTexture3,
	MainMenuMaxLevelBar0,
    MainMenuMaxLevelBar1,
    MainMenuMaxLevelBar2,
    MainMenuMaxLevelBar3,
	StanceBarLeft,
	StanceBarRight,
	ActionBarUpButton,
	ActionBarDownButton,
	MainMenuBarPageNumber
}

--These are separate as they are hidden differently from above
local WatchBars = {
	ArtifactWatchBar,
	HonorWatchBar,
	MainMenuExpBar
}

HideElements(ArtList)
ns.MoveElements(WatchBars, frame)