local G13BarManager, ns = ...

local bar = G13MenuBar
bar:RegisterEvent("ADDON_LOADED")
bar:SetScript("OnEvent", function(self)
	local cfg = ns.cfg.G13MenuBar
	bar:SetPoint(cfg.point, cfg.xOfs, cfg.yOfs)
end)

bar:SetSize(290, 41)

RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

MenuButtons = {
	CharacterMicroButton,
	SpellbookMicroButton,
	TalentMicroButton,
	AchievementMicroButton,
	QuestLogMicroButton,
	GuildMicroButton,
	PVPMicroButton,
	LFDMicroButton,
	CollectionsMicroButton,
	EJMicroButton,
	MainMenuMicroButton,
	HelpMicroButton,
	StoreMicroButton
}

--This function repositions the MicroMenu Buttons.
--Rather than moving them directly, we place them in a
--function that we can call from a secure hook later
--to get them back in place after Blizzard tries to move them.
local function SetMicroButtons()
	CharacterMicroButton:ClearAllPoints()
	CharacterMicroButton:SetPoint("BOTTOMLEFT", bar, 3, 2)
	--CharacterMicroButton.ignoreFramePositionManager = true
end

hooksecurefunc("UpdateMicroButtonsParent", function() 
	MoveElements(MenuButtons, bar)
end)

hooksecurefunc("UpdateMicroButtons", function() 
	SetMicroButtons() 
end)